> For the complete documentation index, see [llms.txt](https://docs.payum.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payum.dev/v2/paypal/express-checkout/authorize-order.md).

# Authorize order

Authorization & Capture, or Auth/Capture, allows you to authorize the availability of funds for a transaction but delay the capture of funds until a later time. This is often useful for merchants who have a delayed order fulfillment process. Authorize & Capture also enables merchants to modify the original authorization amount due to order changes occurring after the initial order is placed, such as taxes, shipping or gratuity.

```php
<?php
// demo.php

use Payum\Core\Payum;
use Payum\Core\PayumBuilder;
use Payum\Core\Request\Authorize;

/** @var Payum $payum */
$payum = (new PayumBuilder())
    ->addGateway('paypal', [
        'factory' => 'paypal_express_checkout',
        'username' => 'edit me',
        'password' => 'edit me',
        'signature' => 'edit me'
    ])

    ->getPayum()
;

$payum->getGateway('paypal')->execute(new Authorize([
    'PAYMENTREQUEST_0_AMT' => 1.1,
    'PAYMENTREQUEST_0_CURRENCY' => 'USD',
]));
```

Or you can create a token and reuse authorize script:

```php
<?php

use Payum\Core\Model\Payment;

/** @var \Payum\Core\Payum $payum */
/** @var array|\ArrayObject|Payment $payment */

$authorizeToken = $payum->getTokenFactory()->createAuthorizeToken('paypal', $payment, 'http://afterUrl');

header("Location: ".$authorizeToken->getTargetUrl());
```

***

### Supporting Payum

Payum is an MIT-licensed open source project with its ongoing development made possible entirely by the support of community and our customers. If you'd like to join them, please consider:

* [Become a sponsor](https://github.com/sponsors/Payum)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payum.dev/v2/paypal/express-checkout/authorize-order.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
